GNU bug report logs - #37019
27.0.50; "C-x v =' and 'diff-font-lock-prettify' when there's no left fringe

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eli Zaretskii <eliz@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 37019 <at> debbugs.gnu.org and Eli Zaretskii <eliz@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37019 <at> debbugs.gnu.org:


Received: (at 37019) by debbugs.gnu.org; 20 May 2022 01:39:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 19 21:39:01 2022
Received: from localhost ([127.0.0.1]:36996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrrbZ-00062C-0N
	for submit <at> debbugs.gnu.org; Thu, 19 May 2022 21:39:01 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nrrbW-00061u-Qt
 for 37019 <at> debbugs.gnu.org; Thu, 19 May 2022 21:38:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=z7W1NOuymbYHYRf12qYbWfEOHBEBArNbxxP4AltVFBE=; b=kUCsRriIb716nTLUX2WXwKcvJY
 8b5WAycGK96h0h8jLynrepyxLoTU5mP+Viy8i8Vo3ZRy5KimjxDG0oArMsRYlTZleqIIH3lRZPVLz
 /+7AEfLbPQVUCv+In/kgw3LwWGiw4bvVjua2Us7ihsGF2eUoAjOY2KVUAzobyU5p0XCU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nrrbM-0000yF-L0; Fri, 20 May 2022 03:38:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37019: 27.0.50; "C-x v =' and 'diff-font-lock-prettify'
 when there's no left fringe
References: <83lfvxrsvt.fsf@HIDDEN>
X-Now-Playing: Tuxedomoon's _Suite En Sous-Sol-Time To Lose-Short Stories_:
 "Blind"
Date: Fri, 20 May 2022 03:38:47 +0200
In-Reply-To: <83lfvxrsvt.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 13 Aug
 2019 18:23:50 +0300")
Message-ID: <878rqx7zko.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > To reproduce: > >
 emacs
 -Q > [visit some versioned file under Git control] > M-x set-variable RET
 diff-font-lock-prettify RET t RET > M-x fringe-mode RET right-only RET >
 C-u C-x v = SOME-REVISION R [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37019
Cc: 37019 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> To reproduce:
>
>   emacs -Q
>   [visit some versioned file under Git control]
>   M-x set-variable RET diff-font-lock-prettify RET t RET
>   M-x fringe-mode RET right-only RET
>   C-u C-x v = SOME-REVISION RET RET
>
> The last command reports changes of the file since SOME-REVISION.  But
> because the left fringe is unavailable, there's no insert/delete
> indicators at all, not even the original ones displayed when
> diff-font-lock-prettify is nil.
>
> I think in this case we should keep the original indicators.

Yup.  I've now fixed this in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37019; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Aug 2019 15:24:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 13 11:24:07 2019
Received: from localhost ([127.0.0.1]:48558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxYed-0008G1-Gw
	for submit <at> debbugs.gnu.org; Tue, 13 Aug 2019 11:24:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:50516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hxYeb-0008Ft-30
 for submit <at> debbugs.gnu.org; Tue, 13 Aug 2019 11:24:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48569)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <eliz@HIDDEN>) id 1hxYeZ-0002nu-UC
 for bug-gnu-emacs@HIDDEN; Tue, 13 Aug 2019 11:24:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=ALL_TRUSTED,BAYES_50
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40080)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hxYeZ-0002PU-R2
 for bug-gnu-emacs@HIDDEN; Tue, 13 Aug 2019 11:24:03 -0400
Received: from [176.228.60.248] (port=4453 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>) id 1hxYeZ-0006Je-0h
 for bug-gnu-emacs@HIDDEN; Tue, 13 Aug 2019 11:24:03 -0400
Date: Tue, 13 Aug 2019 18:23:50 +0300
Message-Id: <83lfvxrsvt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50;
 "C-x v =' and 'diff-font-lock-prettify' when there's no left fringe
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

To reproduce:

  emacs -Q
  [visit some versioned file under Git control]
  M-x set-variable RET diff-font-lock-prettify RET t RET
  M-x fringe-mode RET right-only RET
  C-u C-x v = SOME-REVISION RET RET

The last command reports changes of the file since SOME-REVISION.  But
because the left fringe is unavailable, there's no insert/delete
indicators at all, not even the original ones displayed when
diff-font-lock-prettify is nil.

I think in this case we should keep the original indicators.

In GNU Emacs 27.0.50 (build 1283, i686-pc-mingw32)
 of 2019-08-13 built on HOME-C4E4A596F7
Repository revision: c90975f92fd71be7282293e0ed1098c0fa5d62a0
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
System Description: Microsoft Windows XP Service Pack 3 (v5.1.0.2600)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure -C --prefix=/d/usr --with-wide-int --with-modules
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -gdwarf-4 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 50468 9853)
 (symbols 48 7137 1)
 (strings 16 18710 2458)
 (string-bytes 1 526563)
 (vectors 16 9759)
 (vector-slots 8 127151 9604)
 (floats 8 19 113)
 (intervals 40 258 92)
 (buffers 880 11))




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37019; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 May 2022 01:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.